* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  color: #333;
}

/* Header */
header {
  background: #19b6dd;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
}

.header-container {
  width: 90%;
  max-width: 1100px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 0;
}

.logo {
  height: 70px;
}

nav a {
  color: white;
  margin-left: 25px;
  text-decoration: none;
  font-weight: 500;
}

#nav-menu a:hover {
  color: #6b0be0;
  
  
}

.menu-toggle {
  display: none;
  font-size: 28px;
  color: #fff;
  cursor: pointer;
}

/* Mobile Menu */
@media (max-width: 768px) {
  .menu-toggle { display: block; }

  nav {
    position: absolute;
    top: 90px;
    left: 0;
    width: 100%;
    background-color: rgb(14, 175, 245);
    display: none;
    flex-direction: column;
    text-align: center;
  }

  nav a {
    margin: 15px 0;
  }

  nav.active {
    display: flex;
  }
}

/* Slider */
.hero-slider {
  margin-top: 100px;
  height: 85vh;
  position: relative;
  overflow: hidden;
}

.slides {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
}

.slides img {
  width: 99%;
  height: 80%;
  object-fit: cover;
  
}

.caption {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(0,0,0,0.5);
  padding: 30px;
  text-align: center;
  color: #fff;
  border-radius: 10px;
}

.caption h1 {
  font-size: 50px;
  letter-spacing: 4px;
}

.caption span {
  color: #d4af37;
}

/* Sections */
section {
  padding: 60px 20px;
  text-align: center;
}

.container {
  max-width: 1100px;
  margin: auto;
}

h2 {
  font-family: 'Playfair Display', serif;
  color: #7a1c3a;
  font-size: 32px;
  margin-bottom: 20px;
}

p {
  line-height: 1.8;
  font-size: 16px;
}

/* Cards */
.expertise {
  background: #fafafa;
}

.cards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  margin-top: 40px;
}

.card {
  background: #fff;
  padding: 25px;
  border-radius: 8px;
  flex: 1;
  min-width: 250px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.05);
}

/* Why Us */
.why-us ul {
  list-style: none;
  max-width: 600px;
  margin: 30px auto 0;
}

.why-us li {
  margin-bottom: 12px;
  padding-left: 25px;
  position: relative;
}

.why-us li::before {
  content: "✔";
  position: absolute;
  left: 0;
  color: #c9a14a;
}

/* Products */
.products {
  background: #fafafa;
}

/* WhatsApp */
.whatsapp-btn {
  position: fixed;
  right: 20px;
  bottom: 20px;
  background: #25D366;
  color: #fff;
  padding: 14px 18px;
  border-radius: 50px;
  text-decoration: none;
  font-weight: 500;
}
